ChangeSet 1.1337.38.1, 2003/10/16 13:37:28-07:00, greg@kroah.com

[PATCH] USB: gadget fixes for 64bit processor warnings.


 drivers/usb/gadget/inode.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/gadget/inode.c b/drivers/usb/gadget/inode.c
--- a/drivers/usb/gadget/inode.c	Thu Oct 23 23:04:50 2003
+++ b/drivers/usb/gadget/inode.c	Thu Oct 23 23:04:50 2003
@@ -812,7 +812,7 @@
 			if (dev->setup_out_error)
 				retval = -EIO;
 			else {
-				len = min (len, dev->req->actual);
+				len = min (len, (size_t)dev->req->actual);
 // FIXME don't call this with the spinlock held ...
 				if (copy_to_user (buf, &dev->req->buf, len))
 					retval = -EFAULT;
@@ -1670,7 +1670,7 @@
 
 fail:
 	spin_unlock_irq (&dev->lock);
-	pr_debug ("%s: %s fail %d, %p\n", shortname, __FUNCTION__, value, dev);
+	pr_debug ("%s: %s fail %Zd, %p\n", shortname, __FUNCTION__, value, dev);
 	kfree (dev->buf);
 	dev->buf = 0;
 	return value;
